###############################################################################
# libbrlapi - A library providing access to braille terminals for applications.
#
# Copyright (C) 2005-2012 by
#   Alexis Robert <alexissoft@free.fr>
#   Samuel Thibault <Samuel.Thibault@ens-lyon.org>
#
# libbrlapi comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser General Public License, as published by the Free Software
# Foundation; either version 2.1 of the License, or (at your option) any
# later version. Please see the file LICENSE-LGPL for details.
#
# Web Page: http://mielke.cc/brltty/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

AC_DEFUN([BRLTTY_PYTHON_BINDINGS], [dnl
PYTHON_OK=true

AC_PATH_PROG([PYTHON], [python3])
if test -z "${PYTHON}"
then
   AC_MSG_WARN([Python interpreter not found])
   PYTHON_OK=false
fi

if "${PYTHON_OK}"
then
   if test -z "${PYTHON_VERSION}"
   then
      [PYTHON_BIN="`basename ${PYTHON}`"]
      [PYTHON_VERSION="`pkg-config --modversion ${PYTHON_BIN}`"]
      if test -z "${PYTHON_VERSION}"
      then
         AC_MSG_WARN([Python version not defined])
      fi
   fi
fi
AC_SUBST([PYTHON_VERSION])

if test -z "${PYTHON_CPPFLAGS}"
then
   [python_include_directory="`pkg-config --cflags python-${PYTHON_VERSION}`"]
   if test -z "${python_include_directory}"
   then
      AC_MSG_WARN([Python include directory not found])
      PYTHON_OK=false
   else
      PYTHON_CPPFLAGS="${python_include_directory}"
   fi
fi
AC_SUBST([PYTHON_CPPFLAGS])

AC_PATH_PROG([CYTHON], [cython])
if test -z "${CYTHON}"
then
   AC_MSG_WARN([Cython compiler not found])
   PYTHON_OK=false
fi

if test "${GCC}" = "yes"
then
   CYTHON_CFLAGS="-Wno-parentheses -Wno-unused -fno-strict-aliasing -U_POSIX_C_SOURCE -U_XOPEN_SOURCE"
else
   case "${host_os}"
   in
      *)
         CYTHON_CFLAGS=""
         ;;
   esac
fi
AC_SUBST([CYTHON_CFLAGS])

AC_SUBST([PYTHON_OK])
])
